open Global
open Unix

let make_chan host port =
  let fd = socket PF_INET SOCK_STREAM 0 in
  let name = gethostbyname host in
  connect fd (ADDR_INET (name.h_addr_list.(0), port));
  (in_channel_of_descr fd, out_channel_of_descr fd)

let main stdio_flag args =
  let inc, outc =
    if stdio_flag then Pervasives.stdin, Pervasives.stdout
    else if Array.length args <> 2 then failwith "Wrong number of arguments"
    else make_chan args.(0) (int_of_string args.(1)) in
  Global.set_outc outc;
  Global.send "Player";
  Parser.start0 Lexer.start (Lexing.from_channel inc)

